# `aeon` Enhancement Proposals

## Description

An `aeon` enhancement proposal (AEP) is a software design document providing information
to the aeon community. The proposal should provide a rationale and concise technical
specification of the proposed design.

We collect and discuss proposals in the `aeon` AEP [repository](https://github.com/aeon-toolkit/aeon-admin/tree/main/aep).

We intend AEPs to be the primary mechanisms for proposing major changes such as new
modules and collecting community input on large or controversial issues. Smaller
changes can be discussed and implemented directly on issues and pull requests.

## Submitting a AEP

To create a new AEP, consider copying and using the [template](https://github.com/aeon-toolkit/aeon-admin/blob/main/aep/aep_template.md),
and open a pull request on the administration [repository](https://github.com/aeon-toolkit/aeon-admin/tree/main).

It is highly recommended that a single AEP contains a single key proposal or new idea.
The more focused the proposal, the more successful it tends to be. An AEP should be a
consolidated document, including:

* a concise problem statement,
* a clear description of the proposed solution,
* a comparison with alternative solutions.
